function [ yFinal ] = OdeEuler(a, b, nStep, yInit)

%----------------------------------------------------
% A simple version of Euler's method for integration
% of a first-order ODE intitial value problem

% a       the starting x value
% b       the ending x value
% nStep   the number of steps
% yInit   the initial value of y
%----------------------------------------------------

h = (b-a)/nStep;                   % calculate step size

y = zeros(1, nStep+1);             % pre-allocate the y soln vector
y(1) = yInit;                      % set the initial y value


x = a : h : b;                     % define the x vector values


                                   % Impliment plain Eulers method
for k = 1 : nStep;
   y(k+1) = y(k) + h * MyFunc( x(k), y(k) );
end


% disp( [x' y'] )                   % Print the numerical results

plot(x, y)                        % Plot the results
xlabel('x-values')
ylabel('y-values')

yFinal = y(length(y));              % Just the final y value